> ## Documentation Index
> Fetch the complete documentation index at: https://docs.crosmos.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create memory space



## OpenAPI

````yaml https://api.crosmos.dev/openapi.json post /api/v1/spaces
openapi: 3.1.0
info:
  title: Crosmos API
  version: 0.1.0
servers:
  - url: /
security: []
paths:
  /api/v1/spaces:
    post:
      tags:
        - spaces
      summary: Create memory space
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateSpaceRequest'
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Space'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceErrorBody'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceErrorBody'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SpaceErrorBody'
        '429':
          description: Quota exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QuotaExceededBody'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateSpaceRequest:
      type: object
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 255
        description:
          type: string
          nullable: true
        meta:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
      required:
        - name
    Space:
      type: object
      properties:
        id:
          type: string
          format: uuid
        org_id:
          type: string
          format: uuid
        name:
          type: string
        description:
          type: string
          nullable: true
        meta:
          type: object
          nullable: true
          additionalProperties:
            nullable: true
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
      required:
        - id
        - org_id
        - name
        - description
        - meta
        - created_at
        - updated_at
    SpaceErrorBody:
      type: object
      properties:
        detail:
          type: string
      required:
        - detail
    QuotaExceededBody:
      type: object
      properties:
        detail:
          type: object
          properties:
            error:
              type: string
              enum:
                - quota_exceeded
            key:
              type: string
            limit:
              type: integer
            used:
              type: integer
          required:
            - error
            - key
            - limit
            - used
      required:
        - detail
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: JWT access token or API key (csk_...)

````